IntroductionQuickstartAuthenticationPaginationRate Limit

Search endpoints

Job Search POSTCompany Search POSTTechnographics POSTBuying Intents POST

Account endpoints

Get Credit Balance GETGet Credits Consumption GET

Other

Get Companies Per Company Country Code GETGet Industries GETGet Jobs And Companies Per Job Country Code GETList Keyword Categories (Deprecated) GETList Keywords (Tech And Buying Intents) GETGet Geographic Locations GETList Technologies GETGet Industries GETList Technology Categories GETList Keyword Categories GETList Keyword Subcategories GETList Technology Subcategories GET
TheirStackTheirStack Logo
Log inSign up
DocumentationAPI ReferenceWebhooksDatasetsMCPGuides
Catalog

List Technology Categories

Returns a list of main technology categories with the number of technologies and companies in each category. Optionally filters to return a specific category if category_slug is provided.

GET
/v1/catalog/keywords/categories

Query Parameters

  • category_slug
    stringnullable
    finance-and-accounting

    Optional category slug to filter and return only a specific category

  • Response Body

    application/json

    application/json

    application/json

    application/json

    application/json

    curl -X GET "https://api.theirstack.com/v1/catalog/keywords/categories"
    {
      "data": [
        {
          "name": "string",
          "slug": "string",
          "description": "string",
          "number_of_technologies": 0,
          "number_of_companies": 0
        }
      ],
      "metadata": {
        "total_results": 2034
      }
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }

    How is this guide?

    Last updated on

    Get Industries GET

    This endpoint lets you: - List all the industries and their codes - See how many jobs and companies we have per industry - Search for an industry

    List Keyword Categories GET

    Returns a list of main keyword categories (technologies and buying intents) with the number of keywords and companies in each. Optionally filters to return a specific category if category_slug is provided.